{% extends '::base.html.twig' %}

{% block body -%}
    <h1 align="center">Partner list</h1>

    <table align="center" class="usertableinadmin">
        <thead>
            <tr>
                <th>Type</th>
                <th>Name
                <th>Companyname</th>
                <th>Prefix</th>
                <th>Lastname</th>
                <th>Firstname</th>
                <th>Billingname</th>
                <th>Partnertype</th>
                <th>Email</th>
                <th>Companyregistrationnumber</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody class="usertableinadmin2">
        {% for entity in pagination %}
            <tr>
                <td>{{ entity.type }}</td>
                <td>{{ entity.name }}</td>
                <td>{{ entity.companyname }}</td>
                <td>{{ entity.prefix }}</td>
                <td>{{ entity.lastname }}</td>
                <td>{{ entity.firstname }}</td>
                <td>{{ entity.billingname }}</td>
                <td>{{ entity.partnertype }}</td>
                <td>{{ entity.email }}</td>
                <td>{{ entity.companyregistrationnumber }}</td>
                <td>
                <ul>
                    <li>
                        <a href="{{ path('partner_show', { 'id': entity.id }) }}">show</a>
                    </li>
                    <li>
                        <a href="{{ path('partner_edit', { 'id': entity.id }) }}">edit</a>
                    </li>
                </ul>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
        <div class="navigation">
    {{ knp_pagination_render(pagination) }}
</div>
        <ul>
        <li>
            <a href="{{ path('partner_new') }}">
                Create a new entry
            </a>
        </li>
    </ul>
    {% endblock %}
